require 'spec_helper'

describe CakeLie::Frosting do
  subject { CakeLie::Frosting.new }

  describe "#spatula" do
    it 'returns the name of a cake' do
      expect(described_class::CAKES).to include subject.spatula
    end
  end

  describe "#cake_with_color" do
    it 'returns the name of a cake with a color' do
      sentence = subject.cake_with_color
      matched = sentence.match /A (\w+) ([\w\s]+)/

      color = matched[1]
      cake = matched[2]

      expect(described_class::COLORS).to include color
      expect(described_class::CAKES).to include cake
    end
  end
end